Truncate SHA-1 indexes
Closed, ResolvedPublic

Description

Schema Change:

All wikis
tables: image, oldimage
changes: Truncate SHA-1 indexes
commit status: Merged

No patch available, was changed within a release

gerrit change I059de4f7


Version: unspecified
Severity: minor

Schema change progress:

  • wikitech
    • labswiki
    •  labtestwiki

Details

Reference
bz49190
There are a very large number of changes, so older changes are hidden. Show Older Changes

Change 446222 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1100

https://gerrit.wikimedia.org/r/446222

Mentioned in SAL (#wikimedia-operations) [2018-07-17T05:34:04Z] <marostegui> Deploy schema change on db1070 (s5 primary master) T144010 T51190 T199368

Marostegui updated the task description. (Show Details)Jul 17 2018, 5:53 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-17T05:55:57Z] <marostegui> Deploy schema change on db2039 (s6 codfw master) with replication, this will generate lag on codfw T144010 T51190 T199368

Marostegui updated the task description. (Show Details)Jul 17 2018, 7:11 AM
Marostegui added a comment.EditedJul 17 2018, 8:29 AM

s6 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1125
  • db1113
  • db1098
  • db1096
  • db1093
  • db1088
  • db1085
  • db1061
Marostegui updated the task description. (Show Details)Jul 17 2018, 8:30 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-17T08:31:44Z] <marostegui> Deploy schema change on db1096:3316 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-17T09:11:27Z] <marostegui> Deploy schema change on db1098:3316 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-17T09:41:07Z] <marostegui> Deploy schema change on db1113:3316 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-17T10:14:16Z] <marostegui> Deploy schema change on db1093 T144010 T51190 T199368

Change 446537 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1088

https://gerrit.wikimedia.org/r/446537

Change 446537 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1088

https://gerrit.wikimedia.org/r/446537

Mentioned in SAL (#wikimedia-operations) [2018-07-18T08:06:27Z] <marostegui> Deploy schema change on db1088 T144010 T51190 T199368

Change 446542 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1085

https://gerrit.wikimedia.org/r/446542

Change 446542 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1085

https://gerrit.wikimedia.org/r/446542

Mentioned in SAL (#wikimedia-operations) [2018-07-18T08:29:22Z] <marostegui> Deploy schema change on db1085 with replication, this will generate lag on labsdb hosts for s6 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-19T07:54:58Z] <marostegui> Deploy schema change on s2 codfw masters (db2035) this will generate lag on s2 codfw T144010 T51190 T199368

Marostegui updated the task description. (Show Details)Jul 19 2018, 8:29 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-19T08:32:43Z] <marostegui> Deploy schema change on dbstore1002:s2 T144010 T51190 T199368

Marostegui added a comment.EditedJul 19 2018, 8:33 AM

s2 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1125
  • db1122
  • db1105
  • db1103
  • db1090
  • db1076
  • db1074
  • db1066

Change 446817 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1103:3312

https://gerrit.wikimedia.org/r/446817

Change 446817 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1103:3312

https://gerrit.wikimedia.org/r/446817

Mentioned in SAL (#wikimedia-operations) [2018-07-19T13:43:27Z] <marostegui> Deploy schema change on db1103:3312 T144010 T51190 T199368

Change 446830 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1105:3312

https://gerrit.wikimedia.org/r/446830

Change 446830 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1105:3312

https://gerrit.wikimedia.org/r/446830

Mentioned in SAL (#wikimedia-operations) [2018-07-19T14:30:31Z] <marostegui> Deploy schema change on db1105:3312 T144010 T51190 T199368

Change 447020 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1076

https://gerrit.wikimedia.org/r/447020

Change 447020 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1076

https://gerrit.wikimedia.org/r/447020

Mentioned in SAL (#wikimedia-operations) [2018-07-20T05:49:30Z] <marostegui> Deploy schema change on db1076 T144010 T51190 T199368

Change 447026 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1074

https://gerrit.wikimedia.org/r/447026

Change 447026 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1074

https://gerrit.wikimedia.org/r/447026

Mentioned in SAL (#wikimedia-operations) [2018-07-20T06:13:08Z] <marostegui> Deploy schema change on db1074 with replication, this will generate lag on labsdb:s2 T144010 T51190 T199368

Marostegui updated the task description. (Show Details)Jul 20 2018, 8:01 AM
Marostegui updated the task description. (Show Details)Jul 22 2018, 6:22 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-23T04:42:37Z] <marostegui> Deploy schema change on db1061 (s6 primary master) T144010 T51190 T199368

Marostegui updated the task description. (Show Details)Jul 23 2018, 5:09 AM

Change 447363 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1122 for alter table

https://gerrit.wikimedia.org/r/447363

Change 447363 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1122 for alter table

https://gerrit.wikimedia.org/r/447363

Mentioned in SAL (#wikimedia-operations) [2018-07-23T07:33:52Z] <marostegui> Deploy schema change on db1122 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-23T13:23:25Z] <marostegui> Deploy schema change on labswiki and labstestwiki T144010 T51190 T199368

Marostegui updated the task description. (Show Details)Jul 23 2018, 1:26 PM
Marostegui updated the task description. (Show Details)Jul 23 2018, 1:30 PM

Mentioned in SAL (#wikimedia-operations) [2018-07-23T13:36:43Z] <marostegui> Deploy schema change on s4 codfw master (db2051), this will generate lag on s4 codfw T144010 T51190 T199368

Marostegui updated the task description. (Show Details)Jul 24 2018, 4:43 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-24T04:44:49Z] <marostegui> Deploy schema change on db1066 (s2 primary master) T144010 T51190 T199368

Marostegui updated the task description. (Show Details)Jul 24 2018, 5:05 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-24T05:05:55Z] <marostegui> Deploy schema change on db1081 T144010 T51190 T199368

Marostegui added a comment.EditedJul 24 2018, 6:10 AM

s4 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1125
  • db1121
  • db1103
  • db1097
  • db1091
  • db1084
  • db1081
  • db1068
Marostegui updated the task description. (Show Details)Jul 24 2018, 6:10 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-24T06:32:07Z] <marostegui> Deploy schema change on dbstore1002:s4 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-24T09:17:56Z] <marostegui> Deploy schema change on db1097:3314 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-24T13:40:34Z] <marostegui> Deploy schema change on db1081 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-24T13:43:34Z] <marostegui> Deploy schema change on db1084 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-24T14:09:29Z] <marostegui> Deploy schema change on db1103:3314 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-25T07:12:08Z] <marostegui> Deploy schema change on db1091 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-25T08:14:31Z] <marostegui> Deploy schema change on db1121 with replication, this will generate lag on labsdb hosts for s4 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-25T10:07:08Z] <marostegui> Deploy schema change on db2040 (s7 codfw master) with replication, this will generate lag on s7 codfw T144010 T51190 T199368

Marostegui updated the task description. (Show Details)Jul 25 2018, 10:59 AM
Marostegui added a comment.EditedJul 25 2018, 1:19 PM

s7 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1125
  • db1101
  • db1098
  • db1094
  • db1090
  • db1086
  • db1079
  • db1062

Mentioned in SAL (#wikimedia-operations) [2018-07-25T14:45:09Z] <marostegui> Deploy schema change on db1098:3317 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-26T05:02:40Z] <marostegui> Deploy schema change on db1101:3317 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-26T06:47:27Z] <marostegui> Deploy schema change on db1086 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-26T08:20:00Z] <marostegui> Deploy schema change on db1090:3317 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-26T09:22:53Z] <marostegui> Deploy schema change on db1079 with replication, this will generate lag on labsdb:s7 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-27T04:59:17Z] <marostegui> Deploy schema change on db1094 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-07-30T05:00:28Z] <marostegui> Deploy schema change on db1062 (s7 primary master) T144010 T51190 T199368

Marostegui updated the task description. (Show Details)Jul 30 2018, 5:26 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-30T05:28:25Z] <marostegui> Deploy schema change on db1068 (commonswiki master) - T51190

Mentioned in SAL (#wikimedia-operations) [2018-07-30T07:32:15Z] <marostegui> Deploy schema change on db2045 (s8 codfw master) this will generate lag on s8 codfw T144010 T51190 T199368

Marostegui updated the task description. (Show Details)Jul 30 2018, 8:46 AM

Mentioned in SAL (#wikimedia-operations) [2018-07-30T08:49:36Z] <marostegui> Deploy schema change on dbstore1002:s8 T144010 T51190 T199368

Marostegui added a comment.EditedJul 30 2018, 1:28 PM

s8 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1124
  • db1109
  • db1104
  • db1101
  • db1099
  • db1092
  • db1087
  • db1071
Marostegui updated the task description. (Show Details)Jul 30 2018, 1:28 PM
Marostegui updated the task description. (Show Details)Jul 30 2018, 5:37 PM

Mentioned in SAL (#wikimedia-operations) [2018-07-31T05:00:04Z] <marostegui> Deploy schema change on dbstore1002:s8 T144010 T51190 T199368/script unload irssinotifier

Mentioned in SAL (#wikimedia-operations) [2018-07-31T05:01:05Z] <marostegui> Deploy schema change on db1099:3318 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-08-01T04:46:05Z] <marostegui> Deploy schema change on db1101:3318 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-08-01T06:47:53Z] <marostegui> Deploy schema change on db1087 with replication, this will generate lag on labs:s8 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-08-01T08:37:24Z] <marostegui> Deploy schema change on db1109:3318 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-08-01T09:19:03Z] <marostegui> Deploy schema change on db1092 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-08-01T09:50:15Z] <marostegui> Deploy schema change on db2048 (s1 codfw master) with replication, this will generate lag on codfw s1 T144010 T51190 T199368

Marostegui updated the task description. (Show Details)Aug 1 2018, 10:31 AM
Marostegui added a comment.EditedAug 1 2018, 11:12 AM

s1 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • dbstore1001
  • db1124
  • db1119
  • db1118 (test host)
  • db1114
  • db1106
  • db1105
  • db1102 (test host)
  • db1099
  • db1095 (test host)
  • db1089
  • db1083
  • db1080
  • db1067

Mentioned in SAL (#wikimedia-operations) [2018-08-01T12:16:01Z] <marostegui> Deploy schema change on db1099:3311 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-08-01T12:35:20Z] <marostegui> Deploy schema change on db1105:3311 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-08-01T13:28:57Z] <marostegui> Deploy schema change on db1083 T144010 T51190 T199368

Marostegui updated the task description. (Show Details)Aug 2 2018, 4:52 AM

Mentioned in SAL (#wikimedia-operations) [2018-08-02T06:18:11Z] <marostegui> Deploy schema change on db1106 with replication, this will generate lag on labsdb:s1 T144010 T51190 T199368

Marostegui updated the task description. (Show Details)Aug 2 2018, 8:04 AM

Mentioned in SAL (#wikimedia-operations) [2018-08-02T08:14:50Z] <marostegui> Deploy schema change on db2043 (s3 codfw master) this will generate lag on codfw:s3 T144010 T51190 T199368

Marostegui updated the task description. (Show Details)Aug 2 2018, 3:51 PM
Marostegui added a comment.EditedAug 3 2018, 8:19 AM

s3 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1124
  • db1123
  • db1078
  • db1077
  • db1075
Marostegui updated the task description. (Show Details)Aug 3 2018, 11:24 AM

Mentioned in SAL (#wikimedia-operations) [2018-08-06T06:49:22Z] <marostegui> Deploy schema change on db1077 with replication, this will generate lag on labsdb:s3 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-08-07T05:21:26Z] <marostegui> Deploy schema change on db1123 T144010 T51190 T199368

Mentioned in SAL (#wikimedia-operations) [2018-08-07T06:58:11Z] <marostegui> Deploy schema change on db1075 (s3 master) T144010 T51190 T199368

Marostegui updated the task description. (Show Details)Aug 7 2018, 7:35 AM
Marostegui closed this task as Resolved.

This is all done